<?xml version="1.0" encoding="UTF-8"?>
 <StyledLayerDescriptor version="1.0.0"
  xsi:schemaLocation="http://www.opengis.net/sld StyledLayerDescriptor.xsd"
  xmlns="http://www.opengis.net/sld"
  xmlns:ogc="http://www.opengis.net/ogc"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <NamedLayer>
   <Name>IDENA_INFRAE_Sym_PuntosRecarga</Name>
   <UserStyle>
    <Title>Cluster points explotaciones</Title>
    <Abstract>Styling using cluster points server side</Abstract>
     
     <FeatureTypeStyle>
      <Transformation>
        <ogc:Function name="gs:PointStacker">
          <ogc:Function name="parameter">
            <ogc:Literal>data</ogc:Literal>
          </ogc:Function>
          <ogc:Function name="parameter">
            <ogc:Literal>cellSize</ogc:Literal>
            <ogc:Literal>50</ogc:Literal>
          </ogc:Function>
          <ogc:Function name="parameter">
            <ogc:Literal>outputBBOX</ogc:Literal>
            <ogc:Function name="env">
           <ogc:Literal>wms_bbox</ogc:Literal>
            </ogc:Function>
          </ogc:Function>
          <ogc:Function name="parameter">
            <ogc:Literal>outputWidth</ogc:Literal>
            <ogc:Function name="env">
           <ogc:Literal>wms_width</ogc:Literal>
            </ogc:Function>
          </ogc:Function>
          <ogc:Function name="parameter">
            <ogc:Literal>outputHeight</ogc:Literal>
            <ogc:Function name="env">
              <ogc:Literal>wms_height</ogc:Literal>
            </ogc:Function>
          </ogc:Function>
        </ogc:Function>
      </Transformation>
	  
     <Rule>
        <Name>Igual a 1</Name>
        <Title>Punto de recarga (1)</Title>
            <ogc:Filter>
              <ogc:PropertyIsLessThanOrEqualTo>
                <ogc:PropertyName>count</ogc:PropertyName>
               <ogc:Literal>1</ogc:Literal>
              </ogc:PropertyIsLessThanOrEqualTo>
            </ogc:Filter>
         <MinScaleDenominator>60001</MinScaleDenominator> 
        <MaxScaleDenominator>3000000</MaxScaleDenominator>
   
        <PointSymbolizer>
          <Graphic>
            <Mark>
              <WellKnownName>circle</WellKnownName>
              <Fill>
                <CssParameter name="fill">#5F9EA0</CssParameter>
              </Fill>
            </Mark>
            <Size>19</Size>
          </Graphic>
        </PointSymbolizer>
        <TextSymbolizer>
          <Label>
            <ogc:PropertyName>count</ogc:PropertyName>
          </Label>
          <Font>
            <CssParameter name="font-family">Arial</CssParameter>
            <CssParameter name="font-size">12</CssParameter>
            <CssParameter name="font-weight">bold</CssParameter>
          </Font>
          <LabelPlacement>
            <PointPlacement>
              <AnchorPoint>
                <AnchorPointX>0.5</AnchorPointX>
                <AnchorPointY>0.8</AnchorPointY>
              </AnchorPoint>
            </PointPlacement>
          </LabelPlacement>
          <Halo>
             <Radius>2</Radius>
             <Fill>
               <CssParameter name="fill">#2F4F4F</CssParameter>
               <CssParameter name="fill-opacity">0.9</CssParameter>
             </Fill>
          </Halo>
          <Fill>
            <CssParameter name="fill">#FFFFFF</CssParameter>
            <CssParameter name="fill-opacity">1.0</CssParameter>
          </Fill>
        </TextSymbolizer>
      </Rule>     
     <Rule>
        <Name>Entre 2 y 10</Name>
        <Title><![CDATA[Puntos de recarga (<10)]]></Title>
            <ogc:Filter>
              <ogc:PropertyIsBetween>
                <ogc:PropertyName>count</ogc:PropertyName>
                <ogc:LowerBoundary>
                  <ogc:Literal>2</ogc:Literal>
                </ogc:LowerBoundary>
                <ogc:UpperBoundary>
                  <ogc:Literal>10</ogc:Literal>
                </ogc:UpperBoundary>
              </ogc:PropertyIsBetween>
            </ogc:Filter>
        <MinScaleDenominator>60001</MinScaleDenominator>   
       <MaxScaleDenominator>3000000</MaxScaleDenominator>
  
        <PointSymbolizer>
          <Graphic>
            <Mark>
              <WellKnownName>circle</WellKnownName>
              <Fill>
                <CssParameter name="fill">#5F9EA0</CssParameter>
              </Fill>
            </Mark>
            <Size>30</Size>
          </Graphic>
        </PointSymbolizer>
        <TextSymbolizer>
          <Label>
            <ogc:PropertyName>count</ogc:PropertyName>
          </Label>
          <Font>
            <CssParameter name="font-family">Arial</CssParameter>
            <CssParameter name="font-size">12</CssParameter>
            <CssParameter name="font-weight">bold</CssParameter>
          </Font>
          <LabelPlacement>
            <PointPlacement>
              <AnchorPoint>
                <AnchorPointX>0.5</AnchorPointX>
                <AnchorPointY>0.8</AnchorPointY>
              </AnchorPoint>
            </PointPlacement>
          </LabelPlacement>
          <Halo>
             <Radius>2</Radius>
             <Fill>
               <CssParameter name="fill">#2F4F4F</CssParameter>
               <CssParameter name="fill-opacity">0.9</CssParameter>
             </Fill>
          </Halo>
          <Fill>
            <CssParameter name="fill">#FFFFFF</CssParameter>
            <CssParameter name="fill-opacity">1.0</CssParameter>
          </Fill>
        </TextSymbolizer>
      </Rule>
     <Rule>
        <Name>Mayor 10</Name>
        <Title><![CDATA[Puntos de recarga (>10)]]></Title>
            <ogc:Filter>
              <ogc:PropertyIsGreaterThan>
                <ogc:PropertyName>count</ogc:PropertyName>
                <ogc:Literal>10</ogc:Literal>
              </ogc:PropertyIsGreaterThan>
            </ogc:Filter>
         <MinScaleDenominator>60001</MinScaleDenominator>
        <MaxScaleDenominator>3000000</MaxScaleDenominator>
  
        <PointSymbolizer>
          <Graphic>
            <Mark>
              <WellKnownName>circle</WellKnownName>
              <Fill>
                <CssParameter name="fill">#5F9EA0</CssParameter>
              </Fill>
            </Mark>
            <Size>42</Size>
          </Graphic>
        </PointSymbolizer>
        <TextSymbolizer>
          <Label>
            <ogc:PropertyName>count</ogc:PropertyName>
          </Label>
          <Font>
            <CssParameter name="font-family">Arial</CssParameter>
            <CssParameter name="font-size">12</CssParameter>
            <CssParameter name="font-weight">bold</CssParameter>
          </Font>
          <LabelPlacement>
            <PointPlacement>
              <AnchorPoint>
                <AnchorPointX>0.5</AnchorPointX>
                <AnchorPointY>0.8</AnchorPointY>
              </AnchorPoint>
            </PointPlacement>
          </LabelPlacement>
          <Halo>
             <Radius>2</Radius>
             <Fill>
               <CssParameter name="fill">#2F4F4F</CssParameter>
               <CssParameter name="fill-opacity">0.9</CssParameter>
             </Fill>
          </Halo>
          <Fill>
            <CssParameter name="fill">#FFFFFF</CssParameter>
            <CssParameter name="fill-opacity">1.0</CssParameter>
          </Fill>
        </TextSymbolizer>
      </Rule> 
    </FeatureTypeStyle>
       <FeatureTypeStyle>
         <Rule>
		  <Name>Acceso clientes</Name>
          <Title>Acceso clientes</Title>
          <ogc:Filter>
			<ogc:Or>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>ACCESO</ogc:PropertyName>
              <ogc:Literal>Acceso clientes (Tit. Publica)</ogc:Literal>
            </ogc:PropertyIsEqualTo>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>ACCESO</ogc:PropertyName>
              <ogc:Literal>Acceso clientes (Tit. Privada)</ogc:Literal>
            </ogc:PropertyIsEqualTo>
			</ogc:Or>
          </ogc:Filter>
          <MinScaleDenominator>1</MinScaleDenominator> 
           <MaxScaleDenominator>60000</MaxScaleDenominator>
          <PointSymbolizer>
            <Graphic>
              <Mark>
                <WellKnownName>ttf://Wingdings#108</WellKnownName>
                <Fill>
                  <CssParameter name="fill">#C49536</CssParameter>
                </Fill>
				<Stroke>
                  <CssParameter name="stroke">#454545</CssParameter>
                  <CssParameter name="stroke-width">1</CssParameter>
                </Stroke>
              </Mark>
              <Size>10</Size>
            </Graphic>
          </PointSymbolizer>
        </Rule>
        <Rule>
		  <Name>Acceso público</Name>
          <Title>Acceso público</Title>
          <ogc:Filter>
			<ogc:Or>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>ACCESO</ogc:PropertyName>
              <ogc:Literal>Acceso público (Tit. Privada)</ogc:Literal>
            </ogc:PropertyIsEqualTo>
			 <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>ACCESO</ogc:PropertyName>
              <ogc:Literal>Acceso público (Tit. Publica)</ogc:Literal>
            </ogc:PropertyIsEqualTo>
			</ogc:Or>
          </ogc:Filter>
          <MinScaleDenominator>1</MinScaleDenominator>
          <MaxScaleDenominator>60000</MaxScaleDenominator>
          <PointSymbolizer>
            <Graphic>
              <Mark>
                <WellKnownName>ttf://Wingdings#108</WellKnownName>
                <Fill>
                  <CssParameter name="fill">#A7C636</CssParameter>
                </Fill>
				<Stroke>
                  <CssParameter name="stroke">#454545</CssParameter>
                  <CssParameter name="stroke-width">1</CssParameter>
                </Stroke>
              </Mark>
              <Size>10</Size>
            </Graphic>
          </PointSymbolizer>
        </Rule>
        <Rule>
		  <Name>Acceso privado</Name>
          <Title>Acceso privado</Title>
          <ogc:Filter>
			<ogc:Or>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>ACCESO</ogc:PropertyName>
              <ogc:Literal>Acceso privado (Tit. Privada)</ogc:Literal>
            </ogc:PropertyIsEqualTo>
			 <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>ACCESO</ogc:PropertyName>
              <ogc:Literal>Acceso privado (Tit. Publica)</ogc:Literal>
            </ogc:PropertyIsEqualTo>
			</ogc:Or>
          </ogc:Filter>
          <MinScaleDenominator>1</MinScaleDenominator>
          <MaxScaleDenominator>60000</MaxScaleDenominator>
          <PointSymbolizer>
            <Graphic>
              <Mark>
                <WellKnownName>ttf://Wingdings#108</WellKnownName>
                <Fill>
                  <CssParameter name="fill">#b0b0ab</CssParameter>
                </Fill>
				<Stroke>
                  <CssParameter name="stroke">#454545</CssParameter>
                  <CssParameter name="stroke-width">1</CssParameter>
                </Stroke>
              </Mark>
              <Size>10</Size>
            </Graphic>
          </PointSymbolizer>
        </Rule>
        <Rule>
		  <Name>Acceso particulares</Name>
          <Title>Acceso particulares</Title>
          <ogc:Filter>
            <ogc:PropertyIsEqualTo>
              <ogc:PropertyName>ACCESO</ogc:PropertyName>
              <ogc:Literal>Acceso privado particulares (Tit. Privada)</ogc:Literal>
            </ogc:PropertyIsEqualTo>
          </ogc:Filter>
          <MinScaleDenominator>1</MinScaleDenominator>
          <MaxScaleDenominator>60000</MaxScaleDenominator>
          <PointSymbolizer>
            <Graphic>
              <Mark>
                <WellKnownName>ttf://Wingdings#108</WellKnownName>
                <Fill>
                  <CssParameter name="fill">#e6e6df</CssParameter>
                </Fill>
				<Stroke>
                  <CssParameter name="stroke">#454545</CssParameter>
                  <CssParameter name="stroke-width">1</CssParameter>
                </Stroke>
              </Mark>
              <Size>10</Size>
            </Graphic>
          </PointSymbolizer>
        </Rule>
     </FeatureTypeStyle>
  </UserStyle>
 </NamedLayer>
</StyledLayerDescriptor>